{
	"format_version": "1.21.60",
	"minecraft:entity": {
		"description": {
			"identifier": "scpcf:scp_743_ant",
			"is_summonable": true,
			"is_spawnable": true,
			"is_experimental": false
		},
		"component_groups": {
			"scp743soldierant": {
				"minecraft:transformation": {
					"into": "scpcf:scp_743_soldier_ant"
				}
			},
			"scp743flyingant": {
				"minecraft:transformation": {
					"into": "scpcf:scp_743_flying_ant"
				}
			},
			"scp743majorant": {
				"minecraft:transformation": {
					"into": "scpcf:scp_743_major_ant"
				}
			},
			"scp743supermajorant": {
				"minecraft:transformation": {
					"into": "scpcf:scp_743_supermajor_ant"
				}
			}
		},
		"components": {
			"minecraft:type_family": {
				"family": [
					"scp"
				]
			},
			"minecraft:health": {
				"value": 4,
				"max": 4
			},
			"minecraft:damage_sensor": {
				"triggers": {
					"cause": "all",
					"deals_damage": false
				}
			},
			"minecraft:collision_box": {
				"width": 0.01,
				"height": 0.01
			}
		},
		"events": {
			"minecraft:entity_spawned": {
				"randomize": [
					{
						"weight": 100,
						"add": {
							"component_groups": [
								"scp743soldierant"
							]
						}
					},
					{
						"weight": 50,
						"add": {
							"component_groups": [
								"scp743flyingant"
							]
						}
					},
					{
						"weight": 35,
						"add": {
							"component_groups": [
								"scp743majorant"
							]
						}
					},
					{
						"weight": 15,
						"add": {
							"component_groups": [
								"scp743supermajorant"
							]
						}
					}
				]
			}
		}
	}
}